From 033a4fb99f7b684d8bb6e446ef7e39dc9184780d Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Hugo=20Beauz=C3=A9e-Luyssen?= <beauze.h@gmail.com>
Date: Fri, 25 Nov 2011 14:43:56 +0100
Subject: [PATCH 3/6] dash: DOMParser: FIxing memory leak.

This also prevents VLC to abort at exit.
---
 modules/stream_filter/dash/xml/DOMParser.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/modules/stream_filter/dash/xml/DOMParser.cpp b/modules/stream_filter/dash/xml/DOMParser.cpp
index 5288f28..63ce995 100644
--- a/modules/stream_filter/dash/xml/DOMParser.cpp
+++ b/modules/stream_filter/dash/xml/DOMParser.cpp
@@ -40,6 +40,8 @@ DOMParser::~DOMParser   ()
 {
     if(this->vlc_reader)
         xml_ReaderDelete(this->vlc_reader);
+    if ( this->vlc_xml )
+        xml_Delete( this->vlc_xml );
 }
 
 Node*   DOMParser::getRootNode              ()
-- 
1.7.7.4

